"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _recompose = require("recompose");

var _reactCssThemr = require("react-css-themr");

var _reactImages = _interopRequireDefault(require("react-images"));

var _cloudinary = _interopRequireDefault(require("../Image/cloudinary"));

var _ImageList = _interopRequireDefault(require("../ImageList"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function FeaturedImageGallery(_ref) {
  var items = _ref.items,
      _ref$largeCount = _ref.largeCount,
      largeCount = _ref$largeCount === void 0 ? 2 : _ref$largeCount,
      _ref$smallCount = _ref.smallCount,
      smallCount = _ref$smallCount === void 0 ? 3 : _ref$smallCount,
      isOpened = _ref.isOpened,
      open = _ref.open,
      selected = _ref.selected,
      select = _ref.select,
      theme = _ref.theme;
  // const items = getImages(project)
  var galleries = items.map(function (_ref2) {
    var image = _ref2.image,
        src = _ref2.src,
        alt = _ref2.alt,
        title = _ref2.title;

    if (!image) {
      return {
        src: src,
        // srcSet: srcset,
        alt: alt,
        caption: title || alt
      };
    }

    var cloudinaryImage = (0, _cloudinary.default)(image);
    return {
      src: cloudinaryImage.src,
      srcSet: cloudinaryImage.srcset,
      alt: alt,
      caption: title || alt
    };
  });
  var showMoreNumber = Math.max(items.length - 6, 0);
  return [_react.default.createElement(_ImageList.default, {
    key: "list",
    items: items,
    theme: theme,
    largeCount: largeCount,
    smallCount: smallCount,
    showMoreMessage: "+ ".concat(showMoreNumber),
    onSelect: function onSelect(value) {
      open(true);
      select(value);
    }
  }), _react.default.createElement(_reactImages.default, {
    key: "lightbox",
    images: galleries,
    isOpen: isOpened,
    currentImage: selected,
    onClickPrev: function onClickPrev() {
      return select(selected - 1 < 0 ? selected : selected - 1);
    },
    onClickNext: function onClickNext() {
      return select(selected + 1 >= items.length ? 0 : selected + 1);
    },
    onClose: function onClose() {
      return open(false);
    },
    showThumbnails: true,
    onClickThumbnail: function onClickThumbnail(value) {
      return select(value);
    }
  })];
}

var defaultStyle = {
  root: 'flex flex-wrap',
  largeList: 'flex w-100 w-50-ns',
  largeWrapper: 'flex-auto pa1',
  largeImage: 'aspect-ratio--4x3 relative pointer',
  smallList: 'flex flex-wrap w-100 w-50-ns',
  smallWrapper: 'flex-auto w-50 pa1',
  smallImage: 'aspect-ratio--4x3 relative pointer',
  showMoreOverlay: 'bg-black-30 hover-bg-black-40 flex items-center justify-center',
  showMore: 'white pf f5 fw4'
};

var _default = (0, _recompose.compose)((0, _reactCssThemr.themr)('FeaturedImageGallery', defaultStyle, {
  composeTheme: 'softly'
}), (0, _recompose.withState)('isOpened', 'open', false), (0, _recompose.withState)('selected', 'select', 0))(FeaturedImageGallery);

exports.default = _default;