"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactCssThemr = require("react-css-themr");

var _interpolate = _interopRequireDefault(require("interpolate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ImageList(_ref) {
  var items = _ref.items,
      _ref$largeCount = _ref.largeCount,
      largeCount = _ref$largeCount === void 0 ? 2 : _ref$largeCount,
      _ref$smallCount = _ref.smallCount,
      smallCount = _ref$smallCount === void 0 ? 3 : _ref$smallCount,
      _ref$showMoreMessage = _ref.showMoreMessage,
      showMoreMessage = _ref$showMoreMessage === void 0 ? '{count}+' : _ref$showMoreMessage,
      onSelect = _ref.onSelect,
      onShowMore = _ref.onShowMore,
      theme = _ref.theme,
      renderItem = _ref.renderItem;
  var largeItems = items.slice(0, largeCount);
  var smallItems = items.slice(largeCount, smallCount + largeCount);
  return _react.default.createElement("div", {
    className: theme.root
  }, largeItems.length > 0 && _react.default.createElement("div", {
    className: theme.largeList
  }, largeItems.map(function (largeItem, idx) {
    return _react.default.createElement("div", {
      className: theme.largeWrapper,
      key: idx
    }, _react.default.createElement("div", {
      className: (0, _classnames.default)('relative', theme.largeItem),
      onClick: function onClick() {
        return onSelect && onSelect(idx);
      }
    }, renderItem(largeItem)));
  })), smallItems.length > 0 && _react.default.createElement("div", {
    className: theme.smallList
  }, smallItems.map(function (smallItem, idx) {
    return _react.default.createElement("div", {
      className: theme.smallWrapper,
      key: idx
    }, _react.default.createElement("div", {
      className: (0, _classnames.default)('relative', theme.smallItem),
      onClick: function onClick() {
        if (onShowMore) onShowMore(largeCount + 1);else if (onSelect) onSelect(largeCount + idx);
      }
    }, renderItem(smallItem), idx === smallItems.length - 1 && _react.default.createElement("div", {
      className: (0, _classnames.default)('absolute w-100 h-100', theme.showMoreOverlay)
    }, _react.default.createElement("span", {
      className: theme.showMore
    }, (0, _interpolate.default)(showMoreMessage, {
      count: items.length
    })))));
  })));
}

var _default = (0, _reactCssThemr.themr)('ImageList', {}, {
  composeTheme: 'softly'
})(ImageList);

exports.default = _default;