"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Icon = _interopRequireDefault(require("../Icon"));

var _reactCssThemr = require("react-css-themr");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SocialLinks = function SocialLinks(_ref) {
  var items = _ref.items,
      useColor = _ref.useColor,
      theme = _ref.theme;
  if (!items) return null;
  return _react.default.createElement("div", {
    className: theme.root
  }, items.map(function (_ref2, idx) {
    var icon = _ref2.icon,
        title = _ref2.title,
        url = _ref2.url,
        color = _ref2.color;
    return _react.default.createElement("div", {
      className: theme.itemWrapper,
      key: idx
    }, _react.default.createElement("a", {
      title: title,
      href: url,
      className: theme.link,
      style: useColor ? {
        color: color
      } : {},
      target: "_blank",
      rel: "noopener noreferrer"
    }, _react.default.createElement(_Icon.default, {
      icon: icon
    })));
  }));
};

SocialLinks.defaultProps = {
  useColor: true
};

var _default = (0, _reactCssThemr.themr)('SocialLinks', {
  root: 'flex',
  itemWrapper: 'pa1',
  link: 'f3 gray'
}, {
  composeTheme: 'softly'
})(SocialLinks);

exports.default = _default;