// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import ContactInfo from './'
import data from './data.yml'
import themes from './themes.yml'

const stories = storiesOf('Contact Info', module)

const keys = Object.keys(themes)

stories.add('default style', () => <ContactInfo {...data} />)

keys.forEach((key) => {
  stories.add(key, () => <ContactInfo {...data} theme={themes[key]} />)
})
stories.add('hide labels', () => (
  <ContactInfo {...data} showLabel={false} theme={themes[keys[1]]} />
))
stories.add('hide icons', () => (
  <ContactInfo {...data} showIcon={false} theme={themes[keys[1]]} />
))
