// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import ContactInfoList from './'
import data from './data.yml'
import themes from './themes.yml'

const stories = storiesOf('Contact Info List', module)

const keys = Object.keys(themes)

keys.forEach((key) => {
  stories.add(key, () => <ContactInfoList {...data} theme={themes[key]} />)
})
stories.add('hide labels', () => (
  <ContactInfoList {...data} showLabel={false} theme={themes[keys[1]]} />
))
stories.add('hide icons', () => (
  <ContactInfoList {...data} showIcon={false} theme={themes[keys[1]]} />
))
