/* eslint-disable camelcase */

// @flow

import React from 'react'
import { makeSrcset, imageFromId } from './cloudinary'

export type ImageProps = {
  image?: TCloudinaryImage,
  src?: string,
  srcset?: string,
  alt?: string,
  title?: string,
}

function Image({ image, src, srcset, alt, title, ...rest }: ImageProps) {
  if (!image) {
    return <img {...rest} alt={alt} title={title} src={src} srcSet={srcset} />
  }
  const srcSet = makeSrcset(image)
    .map(item => `${item.src} ${item.size}w`)
    .join(', ')
  return (
    <img
      {...rest}
      alt={alt}
      title={title}
      src={imageFromId(image)}
      srcSet={srcSet}
    />
  )
}

export default Image
