// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import FeaturedList2 from 'components/FeaturedList2'
import Image from 'components/Image'

type Props = {
  items: {
    image?: TCloudinaryImage,
    src?: string,
    alt?: string,
    title?: string,
  }[],
  largeCount?: number,
  smallCount?: number,
  showMoreMessage?: string,
  onSelect?: Function,
  onShowMore?: Function,
  theme: *,
}

function ImageList({
  items,
  largeCount = 2,
  smallCount = 3,
  showMoreMessage = '{count}+',
  onSelect,
  onShowMore,
  theme,
}: Props) {
  return (
    <FeaturedList2
      items={items}
      largeCount={largeCount}
      smallCount={smallCount}
      showMoreMessage={showMoreMessage}
      onSelect={onSelect}
      onShowMore={onShowMore}
      theme={theme}
      renderItem={item => <Image className={theme.image} {...item} />}
    />
  )
}

export default themr('ImageList', {}, { composeTheme: 'softly' })(ImageList)
