// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import { action } from '@storybook/addon-actions'
import ImageList from '.'
import themes from './themes.yml'

const items = [
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
]


const stories = storiesOf('Image List', module)
const keys = Object.keys(themes)
const theme = themes[keys[0]]

keys.forEach((key) => {
  stories.add(key, () => (
    <div>
      <ImageList
        items={items}
        showMoreMessage={'Xem thêm {count}+ hình'}
        theme={themes[key]}
        onSelect={action('select')}
      />
    </div>
  ))
})

stories
  .add('1 large & 4 small', () => (
    <div>
      <ImageList
        items={items}
        largeCount={1}
        smallCount={4}
        showMoreMessage={'Xem thêm {count}+ hình'}
        theme={theme}
        onSelect={action('select')}
      />
    </div>
  ))
  .add('Have not enough items', () => (
    <div>
      <ImageList
        items={items.slice(0, 2)}
        theme={theme}
        onSelect={action('select')}
      />
    </div>
  ))
